libcups-devel-2.2.6-alt1.x86_64.rpm


Advertisement

Description

libcups-devel - Common Unix Printing System - Development environment "libcups"

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libcups-devel
Package version 2.2.6
Package release alt1
Package architecture x86_64
Package type rpm
Installed size 265.80 KB
Download size 265.80 KB
Official Mirror ftp.altlinux.org
The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This is the development package for
creating additional printer drivers, printing software, and other CUPS
services using the main CUPS library "libcups".

Alternatives

Package Version Architecture Repository
libcups-devel-2.2.6-alt1.i586.rpm 2.2.6 i586 Classic
libcups-devel - - -

Requires

Name Value
/lib64/ld-linux-x86-64.so.2 -
libcups = 2.2.6-alt1
rpmlib(PayloadIsLzma) -

Provides

Name Value
cups-ddk = 2.2.6
cups-devel = 2.2.6
libcups-devel = 2.2.6-alt1

Download

Type URL
Binary Package libcups-devel-2.2.6-alt1.x86_64.rpm
Source Package cups-2.2.6-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libcups-devel rpm package:
    # sudo apt-get install libcups-devel

Files

Path
/usr/bin/cups-config
/usr/bin/ppdc
/usr/bin/ppdhtml
/usr/bin/ppdi
/usr/bin/ppdmerge
/usr/bin/ppdpo
/usr/include/cups/adminutil.h
/usr/include/cups/array.h
/usr/include/cups/backend.h
/usr/include/cups/cups.h
/usr/include/cups/dir.h
/usr/include/cups/file.h
/usr/include/cups/http.h
/usr/include/cups/ipp.h
/usr/include/cups/language.h
/usr/include/cups/ppd.h
/usr/include/cups/pwg.h
/usr/include/cups/raster.h
/usr/include/cups/sidechannel.h
/usr/include/cups/transcode.h
/usr/include/cups/versioning.h
/usr/lib64/libcups.so
/usr/lib64/libcupscgi.so
/usr/lib64/libcupsimage.so
/usr/lib64/libcupsmime.so
/usr/lib64/libcupsppdc.so
/usr/share/cups/examples/color.drv
/usr/share/cups/examples/constraint.drv
/usr/share/cups/examples/custom.drv
/usr/share/cups/examples/grouping.drv
/usr/share/cups/examples/laserjet-basic.drv
/usr/share/cups/examples/laserjet-pjl.drv
/usr/share/cups/examples/minimum.drv
/usr/share/cups/examples/postscript.drv
/usr/share/cups/examples/r300-basic.drv
/usr/share/cups/examples/r300-colorman.drv
/usr/share/cups/examples/r300-remote.drv
/usr/share/man/man1/ppdc.1.xz
/usr/share/man/man1/ppdhtml.1.xz
/usr/share/man/man1/ppdi.1.xz
/usr/share/man/man1/ppdmerge.1.xz
/usr/share/man/man1/ppdpo.1.xz
/usr/share/man/man5/ppdcfile.5.xz

Changelog

See cups-2.2.6-alt1.x86_64.rpm changelog.

See Also

Package Description
libcurl-7.63.0-alt1.x86_64.rpm The shared library for file transfer
libcurl-devel-7.63.0-alt1.x86_64.rpm Header files for libcurl
libcurl-devel-static-7.63.0-alt1.x86_64.rpm Static libraries for libcurl
libcutl-1.10.0-alt1_13.x86_64.rpm C++ utility library from Code Synthesis
libcutl-devel-1.10.0-alt1_13.x86_64.rpm Development files for libcutl
libcwiid-0.6.00-alt2.20100505gitfadf11e.x86_64.rpm Wiimote interface library
libcwiid-devel-0.6.00-alt2.20100505gitfadf11e.x86_64.rpm Development files for libcwiid
libcwiid-utils-0.6.00-alt2.20100505gitfadf11e.x86_64.rpm Wiimote connection test application
libcwiid-wminput-0.6.00-alt2.20100505gitfadf11e.x86_64.rpm Enables using the wiimote as an input source
libcxx-7.0.0-alt1.x86_64.rpm C++ standard library targeting C++11
libcxx-devel-7.0.0-alt1.x86_64.rpm Headers and libraries for libcxx devel
libcxx-gtk-utils-2.2.16.1-alt1.x86_64.rpm A library containing a number of classes and functions for programming GTK+ programs using C++
libcxx-gtk-utils-devel-2.2.16.1-alt1.x86_64.rpm Development files for cxx-gtk-utils
libcxx-static-7.0.0-alt1.x86_64.rpm Static libraries for libcxx
libcxxabi-7.0.0-alt1.x86_64.rpm Low level support for a standard C++ library
Advertisement
Advertisement